Subject: Re: [PATCH 1/2] brcmfmac: prohibit ACPI power management for brcmfmac driver

From: Arend van Spriel <[email-masked]>
Date: Mon, 27 Apr 2015 10:59:06 +0200

On 04/27/15 07:00, Fu, Zhonghui wrote:
> ACPI will manage WiFi chip's power state during suspend/resume
> process on some tablet platforms(such as ASUS T100TA). This is
> not supported by brcmfmac driver now, and the context of WiFi
> chip will be damaged after resume. This patch disconnects the
> relationship between WiFi chip and it's ACPI companion, and
> prohibit ACPI PM for it.

Nice. However, ACPI may contain configuration data that brcmfmac needs 
on some platforms and Adrian Hunter is looking into this. So it is 
probably better to do this operation at the end of the probe before 
returning successful.

Regards,
Arend

> Signed-off-by: Zhonghui Fu<[email-masked]>
> ---
>   drivers/net/wireless/brcm80211/brcmfmac/bcmsdh.c |    5 +++++
>   1 files changed, 5 insertions(+), 0 deletions(-)
>